# Generated by Django 3.0 on 2019-12-17 20:03

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ChallengeData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('area_unit', models.TextField(blank=True, default=None, max_length=15, null=True)),
                ('bathrooms', models.FloatField(blank=True, default=None, null=True)),
                ('bedrooms', models.IntegerField(blank=True, default=None, null=True)),
                ('home_size', models.IntegerField(blank=True, default=None, null=True)),
                ('home_type', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('last_sold_date', models.CharField(blank=True, default=None, max_length=10, null=True)),
                ('last_sold_price', models.IntegerField(blank=True, default=None, null=True)),
                ('link', models.URLField(blank=True, default=None, max_length=128, null=True)),
                ('price', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('property_size', models.IntegerField(blank=True, default=None, null=True)),
                ('rent_price', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('rentzestimate_last_updated', models.CharField(blank=True, default=None, max_length=10, null=True)),
                ('tax_value', models.IntegerField(blank=True, default=None, null=True)),
                ('tax_year', models.IntegerField(blank=True, default=None, null=True)),
                ('year_built', models.IntegerField(blank=True, default=None, null=True)),
                ('zestimate_amount', models.IntegerField(blank=True, default=None, null=True)),
                ('zestimate_last_updated', models.CharField(blank=True, default=None, max_length=10, null=True)),
                ('zillow_id', models.IntegerField(unique=True)),
                ('address', models.CharField(blank=True, default=None, max_length=128, null=True)),
                ('city', models.TextField(blank=True, default=None, max_length=30, null=True)),
                ('state', models.TextField(blank=True, default=None, max_length=2, null=True)),
                ('zipcode', models.IntegerField(blank=True, default=None, null=True)),
            ],
        ),
    ]
